Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configuration
Interface ISessionDelta

All Superinterfaces:
  IAdaptable

Deprecated. Do not use this interface

public interface ISessionDelta
extends IAdaptable

Installation Change. Represents the changes the reconciler found.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Field Summary
`static int` | `DISABLE` Deprecated. Indicates a processing type to disable the features
`static int` | `ENABLE` Deprecated. Indicates a processing type to enable the features

Method Summary
`void` | `delete()` Deprecated. Removes the Session Delta from the file system without processing it.
`Date` | `getDate()` Deprecated. Returns the date the reconciliation occured
`IFeatureReference[]` | `getFeatureReferences()` Deprecated. Returns the list of Features found during reconciliation
`int` | `getType()` Deprecated. Returns the type of the processing type that will affect all the associated features.
`void` | `process(IFeatureReference[] selected, IProgressMonitor monitor)` Deprecated. Process the selected feature references of the Session Delta.
`void` | `process(IProgressMonitor progressMonitor)` Deprecated. Process all the feature references of the Session Delta.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### ENABLE

    public static final int ENABLE

  Deprecated.
  Indicates a processing type to enable the features

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

### DISABLE

    public static final int DISABLE

  Deprecated.
  Indicates a processing type to disable the features

  Since:
    2.0

    Note: This field is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    Constant Field Values

Method Detail

### getFeatureReferences

    public IFeatureReference[] getFeatureReferences()

  Deprecated.
  Returns the list of Features found during reconciliation

  Returns:
    an array of feature references, or an empty array
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getDate

    public Date getDate()

  Deprecated.
  Returns the date the reconciliation occured

  Returns:
    the date of the reconciliation
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getType

    public int getType()

  Deprecated.
  Returns the type of the processing type that will affect all the associated features.

  Returns:
    the processing type
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    `ENABLE`, `DISABLE`

### process

    public void process(IProgressMonitor progressMonitor)
                 throws CoreException

  Deprecated.
  Process all the feature references of the Session Delta. Removes the Session Delta from the file system after processing it.

  Parameters:
    `progressMonitor` - the progress monitor
  Throws:
    `CoreException` - if an error occurs.
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### process

    public void process(IFeatureReference[] selected,
                        IProgressMonitor monitor)
                 throws CoreException

  Deprecated.
  Process the selected feature references of the Session Delta. Removes the Session Delta from the file system after processing it.

  Parameters:
    `selected` - list of selected feature references to be processed
    `monitor` - the progress monitor
  Throws:
    `CoreException` - if an error occurs.
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### delete

    public void delete()

  Deprecated.
  Removes the Session Delta from the file system without processing it.

  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.